Email Notify

Plasma 4 Widgets

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

0
5.8
Description:

This is an evolution of http://kde-look.org/content/show.php?content=75012..
With this plasmoid is possible to check all pop3/imap server (ssl and not).
All types of contribute are welcome: test/suggestions/money/criticals/help.

- Tested on KDE 4.0.4 -

For suggestion/bugs:
http://code.google.com/p/emailnotify/issues/list

For the moment, i leave also the old versions 0.1 and 0.2.

== Ubuntu/Debian Instructions ( thanks to jmthomas ) ==

Add this to your repositories list in Adept/Synaptic or whatever:
deb http://ppa.launchpad.net/echidnaman/ubuntu hardy main

Then, just install the emailnotify package from the package manager, or do a sudo apt-get install emailnotify.

===================
Last changelog:

11 years ago

v 0.3.1
** Moc files fixed ( tnx to jmthomas )

v 0.3
** Add the ability to shows long label or a short label
** Add small server list( please send me other servers if you want to add one;) )
** Add font changer: color and style.
** Add the ability to open the email client ( thunderbird or kmail )
** Fixed the show of applet in panel
** Rewrote most code ( account manager, dialog settings )


v 0.2
** Add support for imap/imaps (checks for UNSEEN mails into inbox)
** Split email checker into Thread


v 0.1 (change from GmailNotify)
** Extended to all pop3 server
** Password is stored in base64
** Redesign Config Dialog
** Better code and check of error

pejakm

6 years ago

It doesn't compile anymore...

Report

Gen2ly

10 years ago

Very well done: quick, clean, efficient, runs good. I'd really like to see this made into a regular application so that mail notices go in the notification area. Any plans to do this?

Report

AntiCop

10 years ago

How can i install in KDE 4.2?
I got this error


PLASMA_INCLUDE_DIR -> KDE4_INCLUDE_DIR or KDE4_INCLUDES, should be already
set anyway

PLASMA_FOUND -> nothing, it's always there if KDE4, version 4.2 or newer
has been found.

If you see this error message in a module within KDE/, update it from svn,
it has been fixed already.

Report

patstew

10 years ago

emailnotify-9999.ebuild
Quote:# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI="2"
NEED_KDE="none"

inherit kde4-base

DESCRIPTION="Plasmoid Mailbox checker."
HOMEPAGE="http://www.kde-look.org/content/show.php?content=${KLV}"
ESVN_REPO_URI="http://emailnotify.googlecode.com/svn/trunk"

LICENSE="GPL"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=">=kde-base/kdelibs-4.0.0
|| ( >=kde-base/kdelibs-4.1.80
( || ( >=kde-base/plasma-4.0.0 >=kde-base/kdebase-4.0.0 ) ) )"
RDEPEND="${DEPEND}"
S="${WORKDIR}/${PN}"

src_prepare() {
sed -i -e '/${KDE4_INCLUDES}/ a\ ${QT_QTNETWORK_INCLUDE_DIR}' -e 's/${KDE4_PHONON_LIBS}/& ${QT_QTNETWORK_LIBRARY}/' CMakeLists.txt || die "Sed failed!"
kde4-base_src_prepare
}

Here is a new gentoo ebuild that compiles the svn version. Make sure that everything from sed -i to || die "Sed failed!" is on one line.

Everyone else can get it by:
svn checkout http://emailnotify.googlecode.com/svn/trunk/ emailnotify
cd emailnotify
sed -i -e '/${KDE4_INCLUDES}/ a\ ${QT_QTNETWORK_INCLUDE_DIR}' -e 's/${KDE4_PHONON_LIBS}/& ${QT_QTNETWORK_LIBRARY}/' CMakeLists.txt || die "Sed failed!"
cmake ./
make
make install

Report

patstew

10 years ago

Sorry, don't write
|| die "Sed failed!"
when using the manual instructions, that should only be in the ebuild.

Report

StefanT

10 years ago

Hello,

Thanks in advance for the plasmoid (have not started it yet).

There are two things I have noticed:

emailchecker.cpp line 222:
The variable emails should be initialized or it might be used uninitialized.

I had to manually add -lQtNetwork to get the applet linked. Might come from the Kde 4.1.85 version that I use.

Kind regards,
Stefan

Report

CGenie

10 years ago

Plasma crashes when I try to configure this plasmoid. I'm using Archlinux with KDE 4.1.3

Report

gravy

10 years ago

I have this problem, too.
Any suggestions how to fix this problem?

Report

jabbas

10 years ago

Quick, dirty ebuild for svn :)

(It's working with 4.1.3 from portage)
-- CUT FROM HERE --
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit cmake-utils subversion

ESVN_REPO_URI="http://emailnotify.googlecode.com/svn/trunk"

KLV=75194
PKG="${P/-/_v}"
S="${WORKDIR}/${PN}"

DESCRIPTION="Plasmoid Mailbox checker."
HOMEPAGE="http://www.kde-look.org/content/show.php?content=${KLV}"
#SRC_URI="http://emailnotify.googlecode.com/files/${PKG}.tar"

LICENSE="GPL"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND="
>=kde-base/kdelibs-4.0.0
|| ( >=kde-base/plasma-workspace-4.0.0 >=kde-base/kdebase-4.0.0 )"
RDEPEND="${DEPEND}"

Report

santam

10 years ago

have been encountering this error on issuing the make command. Using Mandriva 2009.0 and so far have built successfully other plasmoids from source
make
[ 9%] Generating ui_editappearance.h
Generating plasma-emailnotify.moc
Generating editnotification.moc
Generating editaccount.moc
Generating editappearance.moc
Generating moc_configdialog.cpp
Generating moc_emailchecker.cpp
Generating moc_account.cpp
[ 18%] Generating ui_editaccount.h
[ 27%] Generating ui_editnotification.h
Scanning dependencies of target plasma_applet_emailnotify
[ 36%] Building CXX object CMakeFiles/plasma_applet_emailnotify.dir/plasma_applet_emailnotify_automoc.o
In file included from /home/mandriva/Desktop/emailnotify/build/moc_configdialog.cpp:10,
from /home/mandriva/Desktop/emailnotify/build/plasma_applet_emailnotify_automoc.cpp:4:
/usr/include/kdialog.h:803: warning: ‘virtual void KDialog::slotButtonClicked(int)’ was hidden
/home/mandriva/Desktop/emailnotify/build/../settings/configdialog.h:50: warning: by ‘void ConfigDialog::slotButtonClicked(KDialog::ButtonCode)’
[ 45%] Building CXX object CMakeFiles/plasma_applet_emailnotify.dir/plasma-emailnotify.o
In file included from /home/mandriva/Desktop/emailnotify/plasma-emailnotify.h:30,
from /home/mandriva/Desktop/emailnotify/plasma-emailnotify.cpp:21:
/usr/include/kdialog.h:803: warning: ‘virtual void KDialog::slotButtonClicked(int)’ was hidden
/home/mandriva/Desktop/emailnotify/settings/configdialog.h:50: warning: by ‘void ConfigDialog::slotButtonClicked(KDialog::ButtonCode)’
/home/mandriva/Desktop/emailnotify/plasma-emailnotify.cpp: In constructor ‘EmailNotify::EmailNotify(QObject*, const QVariantList&)’:
/home/mandriva/Desktop/emailnotify/plasma-emailnotify.cpp:42: error: ‘setDrawStandardBackground’ was not declared in this scope
/home/mandriva/Desktop/emailnotify/plasma-emailnotify.cpp:43: error: ‘setSize’ was not declared in this scope
/home/mandriva/Desktop/emailnotify/plasma-emailnotify.cpp: In destructor ‘virtual EmailNotify::~EmailNotify()’:
/home/mandriva/Desktop/emailnotify/plasma-emailnotify.cpp:60: error: ‘failedToLaunch’ was not declared in this scope
/home/mandriva/Desktop/emailnotify/plasma-emailnotify.cpp: In member function ‘virtual void EmailNotify::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)’:
/home/mandriva/Desktop/emailnotify/plasma-emailnotify.cpp:242: error: ‘setMaximumContentSize’ was not declared in this scope
/home/mandriva/Desktop/emailnotify/plasma-emailnotify.cpp: At global scope:
/home/mandriva/Desktop/emailnotify/plasma-emailnotify.cpp:300: warning: unused parameter ‘constraints’
make[2]: *** [CMakeFiles/plasma_applet_emailnotify.dir/plasma-emailnotify.o] Error 1
make[1]: *** [CMakeFiles/plasma_applet_emailnotify.dir/all] Error 2
make: *** [all] Error 2

Report

roothog

10 years ago

Fixes to the file plasma-emailnotify.cpp:

1. Change line 42 to read: Quote:setBackgroundHints(NoBackground);

2. Change line 43 to read: Quote:resize(200, 200);

3. Change line 60 to read: Quote:if (hasFailedToLaunch())

4. Change line 242 to read: Quote:sizeHint(Qt::MaximumSize, QSizeF(contentsRect.height(), contentsRect.height()));

I'm not sure that #4 is exactly the same functionality of the original code, but it compiles and runs successfully.

Report

santam

10 years ago

Thanks to the tweaks the make and build process now works. The plasmoid however remains unusable as I can't configure it. When ever I click on the configure button the entire plasma workspace crashes and restarts

Report

jeanbi

10 years ago

bonjour,
sous kde4.1
Quote:
make install
[ 9%] Generating ui_editappearance.h
Generating plasma-emailnotify.moc
Generating editaccount.moc
Generating editappearance.moc
Generating editnotification.moc
Generating moc_configdialog.cpp
Generating moc_account.cpp
Generating moc_emailchecker.cpp
[ 18%] Generating ui_editaccount.h
[ 27%] Generating ui_editnotification.h
Scanning dependencies of target plasma_applet_emailnotify
[ 36%] Building CXX object CMakeFiles/plasma_applet_emailnotify.dir/plasma_applet_emailnotify_automoc.o
In file included from /home/jean/Téléchargement/emailnotify/moc_configdialog.cpp:10,
from /home/jean/Téléchargement/emailnotify/plasma_applet_emailnotify_automoc.cpp:2:
/usr/include/kde4/kdialog.h:803: attention : ‘virtual void KDialog::slotButtonClicked(int)’ was hidden
/home/jean/Téléchargement/emailnotify/settings/configdialog.h:50: attention : by ‘void ConfigDialog::slotButtonClicked(KDialog::ButtonCode)’
[ 45%] Building CXX object CMakeFiles/plasma_applet_emailnotify.dir/plasma-emailnotify.o
In file included from /home/jean/Téléchargement/emailnotify/plasma-emailnotify.h:30,
from /home/jean/Téléchargement/emailnotify/plasma-emailnotify.cpp:21:
/usr/include/kde4/kdialog.h:803: attention : ‘virtual void KDialog::slotButtonClicked(int)’ was hidden
/home/jean/Téléchargement/emailnotify/settings/configdialog.h:50: attention : by ‘void ConfigDialog::slotButtonClicked(KDialog::ButtonCode)’
/home/jean/Téléchargement/emailnotify/plasma-emailnotify.cpp: In constructor ‘EmailNotify::EmailNotify(QObject*, const QVariantList&)’:
/home/jean/Téléchargement/emailnotify/plasma-emailnotify.cpp:42: erreur: ‘setDrawStandardBackground’ was not declared in this scope
/home/jean/Téléchargement/emailnotify/plasma-emailnotify.cpp:43: erreur: ‘setSize’ was not declared in this scope
/home/jean/Téléchargement/emailnotify/plasma-emailnotify.cpp: In destructor ‘virtual EmailNotify::~EmailNotify()’:
/home/jean/Téléchargement/emailnotify/plasma-emailnotify.cpp:60: erreur: ‘failedToLaunch’ was not declared in this scope
/home/jean/Téléchargement/emailnotify/plasma-emailnotify.cpp: In member function ‘virtual void EmailNotify::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)’:
/home/jean/Téléchargement/emailnotify/plasma-emailnotify.cpp:242: erreur: ‘setMaximumContentSize’ was not declared in this scope
/home/jean/Téléchargement/emailnotify/plasma-emailnotify.cpp: At global scope:
/home/jean/Téléchargement/emailnotify/plasma-emailnotify.cpp:300: attention : unused parameter ‘constraints’
make[2]: *** [CMakeFiles/plasma_applet_emailnotify.dir/plasma-emailnotify.o] Erreur 1
make[1]: *** [CMakeFiles/plasma_applet_emailnotify.dir/all] Erreur 2
make: *** [all] Erreur 2

a+

Report

blackdeagle

10 years ago

Same here. With the tip of roothog I was able to compile the source successfully but since this is my first plasmoid-install I'm not getting the plasmoid working. It does not appear in cashew and I can't find it anywhere else. Can anyone help me please?

Report

pano

10 years ago

I get the same compilation-error on KDE4.1 on archlinux

Report

Diestelhenne

10 years ago

[ 45%] Building CXX object CMakeFiles/plasma_applet_emailnotify.dir/plasma-emailnotify.o
In file included from /home/arch/Desktop/email-notify-plasmoid/src/emailnotify/plasma-emailnotify.h:30,
from /home/arch/Desktop/email-notify-plasmoid/src/emailnotify/plasma-emailnotify.cpp:21:
/usr/include/kdialog.h:803: Warnung: »virtual void KDialog::slotButtonClicked(int)« war versteckt
/home/arch/Desktop/email-notify-plasmoid/src/emailnotify/settings/configdialog.h:50: Warnung: von »void ConfigDialog::slotButtonClicked(KDialog::ButtonCode)«
/home/arch/Desktop/email-notify-plasmoid/src/emailnotify/plasma-emailnotify.cpp: In constructor »EmailNotify::EmailNotify(QObject*, const QVariantList&)«:
/home/arch/Desktop/email-notify-plasmoid/src/emailnotify/plasma-emailnotify.cpp:42: Fehler: »setDrawStandardBackground« wurde in diesem Gültigkeitsbereich nicht definiert
/home/arch/Desktop/email-notify-plasmoid/src/emailnotify/plasma-emailnotify.cpp:43: Fehler: »setSize« wurde in diesem Gültigkeitsbereich nicht definiert
/home/arch/Desktop/email-notify-plasmoid/src/emailnotify/plasma-emailnotify.cpp: Indestructor »virtual EmailNotify::~EmailNotify()«:
/home/arch/Desktop/email-notify-plasmoid/src/emailnotify/plasma-emailnotify.cpp:60:Fehler: »failedToLaunch« wurde in diesem Gültigkeitsbereich nicht definiert
/home/arch/Desktop/email-notify-plasmoid/src/emailnotify/plasma-emailnotify.cpp: Inmember function »virtual void EmailNotify::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)«:
/home/arch/Desktop/email-notify-plasmoid/src/emailnotify/plasma-emailnotify.cpp:242: Fehler: »setMaximumContentSize« wurde in diesem Gültigkeitsbereich nicht definiert
/home/arch/Desktop/email-notify-plasmoid/src/emailnotify/plasma-emailnotify.cpp: Atglobal scope:
/home/arch/Desktop/email-notify-plasmoid/src/emailnotify/plasma-emailnotify.cpp:300: Warnung: unbenutzter Parameter »constraints«
make[2]: *** [CMakeFiles/plasma_applet_emailnotify.dir/plasma-emailnotify.o] Fehler1
make[1]: *** [CMakeFiles/plasma_applet_emailnotify.dir/all] Fehler 2
make: *** [all] Fehler 2
==> FEHLER: Build fehlgeschlagen.
Breche ab ...

Report

islington

10 years ago

I get the same error on kubuntu


islington@Theta:~/Programs/Plamoids/emailnotify/build$ make
[ 9%] Generating ui_editappearance.h
Generating editaccount.moc
Generating editappearance.moc
Generating plasma-emailnotify.moc
Generating moc_configdialog.cpp
Generating editnotification.moc
Generating moc_emailchecker.cpp
Generating moc_account.cpp
[ 18%] Generating ui_editaccount.h
[ 27%] Generating ui_editnotification.h
Scanning dependencies of target plasma_applet_emailnotify
[ 36%] Building CXX object CMakeFiles/plasma_applet_emailnotify.dir/plasma_applet_emailnotify_automoc.o
In file included from /home/islington/Programs/Plamoids/emailnotify/build/moc_configdialog.cpp:10,
from /home/islington/Programs/Plamoids/emailnotify/build/plasma_applet_emailnotify_automoc.cpp:2:
/usr/lib/kde4/include/kdialog.h:803: warning: ‘virtual void KDialog::slotButtonClicked(int)’ was hidden
/home/islington/Programs/Plamoids/emailnotify/build/../settings/configdialog.h:50: warning: by ‘void ConfigDialog::slotButtonClicked(KDialog::ButtonCode)’
[ 45%] Building CXX object CMakeFiles/plasma_applet_emailnotify.dir/plasma-emailnotify.o
In file included from /home/islington/Programs/Plamoids/emailnotify/plasma-emailnotify.h:30,
from /home/islington/Programs/Plamoids/emailnotify/plasma-emailnotify.cpp:21:
/usr/lib/kde4/include/kdialog.h:803: warning: ‘virtual void KDialog::slotButtonClicked(int)’ was hidden
/home/islington/Programs/Plamoids/emailnotify/settings/configdialog.h:50: warning: by ‘void ConfigDialog::slotButtonClicked(KDialog::ButtonCode)’
/home/islington/Programs/Plamoids/emailnotify/plasma-emailnotify.cpp: In constructor ‘EmailNotify::EmailNotify(QObject*, const QVariantList&)’:
/home/islington/Programs/Plamoids/emailnotify/plasma-emailnotify.cpp:42: error: ‘setDrawStandardBackground’ was not declared in this scope
/home/islington/Programs/Plamoids/emailnotify/plasma-emailnotify.cpp:43: error: ‘setSize’ was not declared in this scope
/home/islington/Programs/Plamoids/emailnotify/plasma-emailnotify.cpp: In destructor ‘virtual EmailNotify::~EmailNotify()’:
/home/islington/Programs/Plamoids/emailnotify/plasma-emailnotify.cpp:60: error: ‘failedToLaunch’ was not declared in this scope
/home/islington/Programs/Plamoids/emailnotify/plasma-emailnotify.cpp: In member function ‘virtual void EmailNotify::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)’:
/home/islington/Programs/Plamoids/emailnotify/plasma-emailnotify.cpp:242: error: ‘setMaximumContentSize’ was not declared in this scope
/home/islington/Programs/Plamoids/emailnotify/plasma-emailnotify.cpp: At global scope:
/home/islington/Programs/Plamoids/emailnotify/plasma-emailnotify.cpp:300: warning: unused parameter ‘constraints’
make[2]: *** [CMakeFiles/plasma_applet_emailnotify.dir/plasma-emailnotify.o] Error 1
make[1]: *** [CMakeFiles/plasma_applet_emailnotify.dir/all] Error 2
make: *** [all] Error 2

Report

BigBrain

11 years ago

Hey, just wanted to thank you for this wonderfull plasmoid, it's so handy!
However, you could add an option to center the number of e-mails, so that the plasmoid doesn't look too "strange" when it's in the panel.
In general you should change the text aligment (of the short caption) to left, right, top, down instead of top-left, bottom-left, top-right, bottom-right.
But so far it's a really nice plasmoid!

Report

roothog

10 years ago

If you want to make this change yourself, edit the file plasma-emailnotify.cpp at roughly line 250. There's a switch statement that sets the layout positioning to one of four options set in the dialog box. Pick one of the entries, say case 3, and change Qt::AlignLeft to read Qt::AlignHCenter. Then re-make and re-install. Whenever you select "bottom left" in the configuration dialog, the displayed alignment will actually be "bottom center".

Report

jackiebrown

11 years ago

I also tried the version in your google svn. I am running kde 4.1 beta 1 from debian

[ 36%] Building CXX object CMakeFiles/plasma_applet_emailnotify.dir/plasma_applet_emailnotify_automoc.o
In file included from /home/david/build/moc_configdialog.cpp:10,
from /home/david/build/plasma_applet_emailnotify_automoc.cpp:3:
/usr/include/kdialog.h:803: warning: ‘virtual void KDialog::slotButtonClicked(int)’ was hidden
/home/david/build/../emailnotify/settings/configdialog.h:50: warning: by ‘void ConfigDialog::slotButtonClicked(KDialog::ButtonCode)’
[ 45%] Building CXX object CMakeFiles/plasma_applet_emailnotify.dir/plasma-emailnotify.o
In file included from /home/david/emailnotify/plasma-emailnotify.h:30,
from /home/david/emailnotify/plasma-emailnotify.cpp:21:
/usr/include/kdialog.h:803: warning: ‘virtual void KDialog::slotButtonClicked(int)’ was hidden
/home/david/emailnotify/settings/configdialog.h:50: warning: by ‘void ConfigDialog::slotButtonClicked(KDialog::ButtonCode)’
/home/david/emailnotify/plasma-emailnotify.cpp: In constructor ‘EmailNotify::EmailNotify(QObject*, const QVariantList&)’:
/home/david/emailnotify/plasma-emailnotify.cpp:42: error: ‘setDrawStandardBackground’ was not declared in this scope
/home/david/emailnotify/plasma-emailnotify.cpp:43: error: ‘setSize’ was not declared in this scope
/home/david/emailnotify/plasma-emailnotify.cpp: In destructor ‘virtual EmailNotify::~EmailNotify()’:
/home/david/emailnotify/plasma-emailnotify.cpp:60: error: ‘failedToLaunch’ was not declared in this scope
/home/david/emailnotify/plasma-emailnotify.cpp: In member function ‘virtual void EmailNotify::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)’:
/home/david/emailnotify/plasma-emailnotify.cpp:242: error: ‘setMaximumContentSize’ was not declared in this scope
/home/david/emailnotify/plasma-emailnotify.cpp: At global scope:
/home/david/emailnotify/plasma-emailnotify.cpp:300: warning: unused parameter ‘constraints’
make[2]: *** [CMakeFiles/plasma_applet_emailnotify.dir/plasma-emailnotify.o] Error 1
make[1]: *** [CMakeFiles/plasma_applet_emailnotify.dir/all] Error 2

Report

C

sifcenter

11 years ago

for the moment the kde svn is not supported... stay tuned :)

Report

trickykid

11 years ago

Plasma crash on Kubuntu 8.04 KDE 4.04.

Report

rowancompsciguy

11 years ago

I second that. I'm having the same issue. The plasmoid crashes when I try to configure it it crashes.

Report

C

sifcenter

11 years ago

Try the svn version :-)

Report

echoes

11 years ago

i would like to request a feature. in addition to launching a mail client to read the mail, would it be possible to add a web browser (i.e. firefox or konqueror) to read/open the mail?
the reason i ask/request this is cuz i don't use a mail client, i only use web mail.
thanks for your consideration.

Report

11 years ago

v 0.3.1
** Moc files fixed ( tnx to jmthomas )

v 0.3
** Add the ability to shows long label or a short label
** Add small server list( please send me other servers if you want to add one;) )
** Add font changer: color and style.
** Add the ability to open the email client ( thunderbird or kmail )
** Fixed the show of applet in panel
** Rewrote most code ( account manager, dialog settings )


v 0.2
** Add support for imap/imaps (checks for UNSEEN mails into inbox)
** Split email checker into Thread


v 0.1 (change from GmailNotify)
** Extended to all pop3 server
** Password is stored in base64
** Redesign Config Dialog
** Better code and check of error

12345678910
1
product-maker janet Jan 04 2014 9 excellent
product-maker Count: 4 Rating: 5.0
File (click to download) Version Description Downloads Date Filesize DL OCS-Install
Pling
*Needs ocs-url or ocs-store to install things
Details
license
version
0.3.1
updated May 11 2008
added Feb 12 2008
downloads today
0
page views today 2